body {
  background: #f0f2f5;
}
ul {
    list-style: none;
}
html,body,#app {
  width: 100%;
  height: 100%;
}
#app {
  padding-top: 60px;
}

.header {
  background: #515a6e;
  height: 60px;
  position: fixed;
  top:0;
  width: 100%;
  z-index: 2;
}
.header .logo {
  width: 160px;
  height: 50px;
  display: inline-block;
  background: url(../../images/logo2.png) no-repeat;
  background-size: contain;
  vertical-align: super;
  text-align: center;
  margin-left: 20px;
}
.header-left {
  float: left;
  /*width: 60%;*/
}
.header-right {
  float: right;
  padding: 0 20px;
}
.header-right > ul > li {
  float: left;
  margin-right: 20px;
  height: 60px;
  line-height: 60px;
  color: #fff;
  list-style: none;
}
.header-right > ul > li .ivu-dropdown-rel a {
  color: #fff;
}
.header .menu_link {
  color: inherit;
}

.page-content {
  position: relative;
  padding: 16px;
  height: 100%;
  /*overflow: auto;*/
  min-width: 1000px;
  z-index: 1;
}

.card {
  position: relative;
  display: block;
  background: #fff;
  padding: 16px;
  border: 1px solid #DDDDDD;
  box-shadow: 0 2px 4px 0 rgba(201,201,201,0.50);
}
.main-content {
  padding: 20px 20px 40px;
  background: #fff;
  position: relative;
  overflow: hidden;
  clear: both;
  border: 1px solid #DDDDDD;
  box-shadow: 0 2px 4px 0 rgba(201,201,201,0.50);
}
.main-content .sidebar {
  background: #fff;
  float: left;
  /*width: 300px;*/
}
.main-content .right-content {
  border-left: 1px solid #dcdee2;
  padding: 20px;
  margin-left: 239px;
  min-height: 400px;
}

/* pdf预览一级模块 */
.box-btn-wrapper {
  margin-bottom: -10px;
}
.box-btn {
  cursor: pointer;
  display: inline-block;
  font-size: 16px;
  color: #242a31;
  background: #fff;
  border: 1px solid #e6ecf1;
  border-radius: 3px;
  transition: border .2s ease 0s;
  box-shadow: 0 3px 8px 0 rgba(116,129,141,.1);
  margin-right: 16px;
  margin-bottom: 10px;
}
.box-btn.active, .box-btn:hover {
  color: #1b73fa;
  text-decoration: none;
  border: 1px solid #1b73fa;
}
.box-btn .box-inner {
  padding: 16px 24px;
}

/* PDF预览左侧目录:左窄右宽内容 */
.left-menu .ivu-menu-submenu-title {
  /*padding: 14px 15px;*/
  padding: 14px 25px 14px 15px;
  font-weight: bold;
}
.ivu-menu-submenu-title>i.ivu-menu-submenu-title-icon {
  margin-right: 0;
  right: 15px;
}
.left-menu .ivu-menu .ivu-menu-submenu .ivu-menu-item {
  padding: 10px 20px!important;
  margin-left: 18px;
  border-left: 1px solid #e6ecf1;
}
.left-menu .ivu-menu-light.ivu-menu-vertical .ivu-menu-item-active:not(.ivu-menu-submenu) {
  background: #2d8cf0;
  border-color: #2d8cf0;
  color: #fff;
}
.type-color2 .left-menu .ivu-menu-light.ivu-menu-vertical .ivu-menu-item-active:not(.ivu-menu-submenu) {
  background: #87d068;
  border-color: #87d068;
  color: #fff;
}
.type-color3 .left-menu .ivu-menu-light.ivu-menu-vertical .ivu-menu-item-active:not(.ivu-menu-submenu) {
  background: #2d8cf0;
  border-color: #2d8cf0;
  color: #fff;
}
.left-menu ul li {
  /*color: red;*/
  position: relative;
}
/*li.ivu-menu-opened::before, li.ivu-menu-opened::after {
    content: '';
    left: 0px;
    position: absolute;
    right: auto;
    border-width: 1px;
}
li.ivu-menu-opened::before {
    border-left: 1px dashed red;
    bottom: 0px;
    top: 20px;
    height: 100%;
    width: 1px;
   
}
li.ivu-menu-opened::after {
    border-top: 1px dashed red;
    height: 0;
    top: 20px;
    width: 20px;
}*/

/* PDF预览 右侧内容 */
.breadcrumb-wrapper {
  margin: -20px -20px 30px -20px;
  font-size: 16px;
  padding: 14px 20px;
  border-bottom: 1px solid #ccc;
}
.right-content h2 {
  margin-bottom: 20px;
  font-weight: bold;
  color: #273849：
}
.video-play {
  text-align: left;
  margin-left: 70px;
  background: #fff;
}
.video-back {
  position: absolute;
  right: 70px;
  top: 70px;
}

.table-operate {
  margin-bottom: 10px;
}
/* table分页 */
.ivu-table-small .ivu-table-cell {
  padding-left: 8px;
  padding-right: 8px;
}
.ivu-table-cell {
  font-size: 14px;
}
.table-page {
  margin: 20px 0;
  text-align: right;
}
.card-title {
  margin: 10px 0 30px;
}
.card-title input {
  font-size: 18px;
}


/* 考试页：左宽右窄 */
.exam-wrapper {
  position: relative;
  overflow: auto;
}
.left-content {
  background: #fff;
  margin-right: 410px;
  overflow: hidden;
  border: 1px solid #DDDDDD;
  box-shadow: 0 2px 4px 0 rgba(201,201,201,0.50);
}
.right-nav {
  position: absolute;
  width: 400px;
  top: 0;
  right: 0;
}
.right-nav.right-fixed {
  position: fixed;
  top: 75px;
  right: 25px;
  bottom: 0;
  overflow: auto;
}

/* 左侧试题*/
.paper-name {
  text-align: center;
  line-height: 80px;
  font-size: 22px;
}
.big-question-wrapper {
  margin-bottom: 40px;
}
.big-question-title {
  background: #f0f2f5;
  line-height: 20px;
  padding: 6px 10px;
  margin: 0 10px;
  font-size: 14px;
}
.question-list-wrapper {
    margin: 10px 20px;
}
.question {
    margin-top: 5px;
    margin-bottom: 20px;
}
.question h4 {
    font-size: 14px;
    font-weight: normal;
}
.question .answer-options {
    margin: 10px 20px;
}
.answer-options li {
    margin: 8px 0;
    font-size: 13px;
    cursor: pointer;
}
.answer-options li.answer-selected {
  color: #1A8CFE;
}

.answer-options li .option-tag {
  margin-right: 5px;
}
.option-tag.selected, .answer-selected .option-tag {
    color: #FFFFFF;
    background-color: #1A8CFE;
    border-color: #1A8CFE;
}
.option-tag {
  text-decoration: none;
  text-align: center;
  display: inline-block;
  border-radius: 50%;
  
  line-height: 25px;
  color: #B4B6BD;
  border: 1px solid #B4B6BD;
  /*width: 25px;
  height: 25px;*/

  min-width: 25px;
  min-height: 25px;
  padding: 0 3px;
  margin: 5px 8px 5px 0;
}
.answer-options li.answer-error {
  color: #fe594d;
}
.answer-error .option-tag, .option-tag.error {
    color: #FFFFFF;
    background-color: #fe594d;
    border-color: #fe594d;
}
.option-tag.warning {
    color: #FFFFFF;
    background-color: #f90;
    border-color: #f90;
}
.answer-analyze {
  margin-left: 20px;
  color: #1a8cfe;
  font-size: 12px;
  line-height: 20px;
}
.answer-analyze-sheet h4 {
  font-size: 18px;
  margin: 20px 0 10px;
  color: #1a8cfe;
}

/* 针对带HTML的复杂题目，控制 */
.question input[type=text] {
  /*border: 1px solid red;*/
  margin: 0 5px 5px;
  border:0px;
  border-bottom:1px solid #999;
  background: #c7edcc;
}
.form_question_seperate {
  height: 25px;
  background: #fbdfb5;
  line-height: 25px;
  padding: 0 10px;
  margin: 0 -10px 10px -10px;
}

.question u, .ur {
  color: #FF0000;
}
.question pre {
  font-family: inherit;
}

/* 右侧计时、答题卡、提交 */
.nav-info {
  padding-left: 30px;
}
.exam-time-down {
  color: red;
  font-size: 20px;
  margin-bottom: 15px
}
.tips-time {
  margin-left: 15px;
  font-size: 20px;
  letter-spacing: 4px;
}
.exam-info strong {
  margin: 0 5px;
  color: #1A8CFE;
}
.exam-timing {
  font-size: 24px;
  font-family: PingFangSC-Regular;
  font-weight: 400;
  color: #2d8cf0;
  text-align: center;
}
.exam-timing > span {
  color: #2d8cf0;
}

.nav-answer {
  margin-top: 10px;
}
.nav-answer > span {
  display: block;
  text-align: center;
  margin-bottom: 20px;
  font-size: 16px;
  font-weight: bold;
}
.answer-card > div {
  margin-bottom: 10px;
}
.answer-card > div > ul {
  overflow: hidden;
}
.answer-card > div > ul > li {
  float: left;
  display: block;
  /*margin: 5px 8px 5px 0;*/
}


/* 交卷按钮 */
.submit-btn {
  margin-top: 20px;
}



/* 首页-教师 */
.profile-avatar {
  display: inline-block;
  margin: 0 10px;
}
.profile-avatar img {

}
.profile-info {
  display: inline-block;
}
.profile-info .info-name {
  font-size: 18px;
  font-weight: bold;
  line-height: 32px;
  margin-bottom: 10px;
}
.profile-info .info-txt {
  font-size: 12px;
  color: #999;
}
.sepetator {
  width: 1px;
  background: #999;
  display: inline-block;
  height: 13px;
  margin: 0 15px;
  vertical-align: text-bottom;
}
.profile-count {
  position: absolute;
  top: 25px;
  right: 50px;
}
.profile-count .item {
  display: inline-block;
  /*margin-right: 15px;*/
  /*border-right: 1px solid #dedede;*/
  color: #999;
  /*padding-right: 15px;*/
}
.profile-count .item .count {
  display: block;
  font-size: 24px;
  color: #666;
  line-height: 25px;
}
.profile-count .sepetator {
  background: #dedede;
  height: 25px;
  margin: 0 30px;
  margin-bottom: 10px;
}

.quick-link {
  margin: 20px 0;
  overflow: hidden;
}
.quick-link .item-box {
  background: #fff;
  margin-right: 20px;
  float: left;
  padding: 20px 30px;
  border: 1px solid #DDDDDD;
  box-shadow: 0 2px 4px 0 rgba(201,201,201,0.50);
}

/* 班级区域（左右两栏） */
.class-content-wrapper {
  position: relative;
}
.class-content-wrapper .class-left {
  margin-right: 405px

}
.class-content-wrapper .class-right {
  position: absolute;
  top: 0; 
  right: 0; 
  width: 400px
}

/* 左中右三栏结构 */
.class-three-wrapper {
  position: relative;
}
.class-three-wrapper .class-nav {
  position: absolute;
  width: 150px;
  top: 0; 
  left: 0; 
}
.class-three-wrapper .class-left {
  margin-right: 410px;
  margin-left: 160px;
}
.class-three-wrapper .class-right {
  position: absolute;
  top: 0; 
  right: 0; 
  width: 400px
}
.class-three-wrapper .mt10 {
  margin-top: 10px;
}
/* 左侧导航 */
.nav-wrapper {
  background: #fff;
}
.nav-wrapper ul li {
  font-size: 16px;
  padding: 15px 0 15px 15px;
  border-left: 5px solid #fff;
}
.nav-wrapper ul li.active {
  border-left-color: #60ca60;
  color: #60ca60;
}
.nav-wrapper ul li i {
  font-size: 20px;
  margin-right: 10px;
}

/* Tab */
.tab-buttons {
  margin-bottom: -1px;
}
.tab-buttons .ivu-btn {
  border-radius: 3px 3px 0 0;
  padding: 10px 30px;
  height: auto;
  font-size: 16px;
  margin-right: 5px;
}

.home-index .ivu-tabs-bar {
  border: none;
  margin: 0;
}
.ivu-card{
  border-radius: 0;
}
.ivu-card-head {
  padding: 10px 16px;
}
/* ivu的collapse改造 */
.ivu-collapse {
  border: none;
  border-radius: 0;
}
.ivu-collapse>.ivu-collapse-item {
  border: 0;
}
.ivu-collapse>.ivu-collapse-item>.ivu-collapse-header {
  border-bottom: 1px solid #dcdee2;
}
.ivu-collapse>.ivu-collapse-item>.ivu-collapse-header > i {
  position: absolute;
  right: 0px;
  top: 13px;  
}
.abs-right.head-operate {
  right: 50px;
  font-size: 16px;
}
/* collapse内其它内容 */
.collapse-wrapper .head-operate > a {
  display: inline-block;
  padding: 0 5px;
  font-size: 18px;
}
.collapse-wrapper .head-operate > a:hover {
  background: #e8e8e8;
  line-height: 36px;
}
.collapse-wrapper .head-title .order {
  margin-right: 10px;
}

.content-wrapper {
  margin: -16px;
}
.content-wrapper .content-item {
  position: relative;
  border-bottom: 1px solid #dcdee2;
  padding: 10px 0 10px 40px;
}
.content-wrapper .content-item .right-button {
  margin-top: 10px
}
.content-wrapper .content-item > i {
  font-size: 18px;
  margin-right: 10px;
}
.content-wrapper .content-item > a {
  color: inherit;
}
.content-wrapper .content-item > a:hover {
  color: #2d8cf0;
}


/* 公告板 */
.notice-content .item {
  position: relative;
  margin-bottom: 6px;
}
.notice-content .item > span {
  display: block;
  margin-right: 130px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.notice-content .item a {
  /*color: #19be6b;*/
}
.notice-content .item .abs-right {
  color: #999;
  margin-right: -10px;
  font-size: 13px;
}
/* 学生列表 */
.mt10 {
  margin-top: 5px;
}
.taglist-content > div {
  margin-bottom: 8px;
}
/* 积分榜 */
.toplist-content {

}
.toplist-content .item {
  position: relative;
  margin-bottom: 15px;
}
.toplist-content .item .order {
  display: inline-block;
  font-size: 18x;
  vertical-align: top;    
}
.toplist-content .item .info {
  display: inline-block;
  margin-left: 15px;
  font-size: 12px;
  color: #999;
}
.toplist-content .item .info .name {
  font-size: 14px;
  color: #666;
}
.toplist-content .item .abs-right i {
  font-size: 20px;
}

/* modal的自定义footer */
.modal-footer {
  margin: 20px -16px -16px -16px;
  border-top: 1px solid #e8eaec;
  padding: 12px 18px 12px 18px;
  text-align: right;
}





.collapse-wrapper {

}
.collapse-wrapper .collapse-item {

}
.collapse-wrapper .collapse-item .collapse-header {
  background: #f7f7f7;
  height: 38px;
  line-height: 38px;
  padding-left: 16px;
  color: #666;
  cursor: pointer;
  position: relative;
  -webkit-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out
}
.abs-right {
  position: absolute;
  right: 10px;
  top: 0;
}
.abs-right > div {
  display: inline-block;
}
.collapse-header .collapse-arrow {
  font-size: 20px;
}
.collapse-wrapper .collapse-item.collapse-item-active .collapse-header .collapse-arrow > i {
  -webkit-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
}
.collapse-content {
  color: #515a6e;
  padding: 16px;
  background-color: #fff;
}



/*// 新版首页*/
.block-item {
  margin-bottom: 40px;
}
.block-item h2 {
  font-size: 16px;
  margin-bottom: 15px
}
/*练习中心*/
.tab-to-list {
  overflow: hidden;
}
.tab-to-list > div {
  float: left;
  width: 24%;
  padding-right: 60px;
}
.tab-to-list > div > span {
  
}
.tab-to-list > div > ul li {
  border-bottom: 1px solid #dedede;
  padding: 8px 0;
  /* line-height: 20px; */
  width: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  position: relative;
}
.tab-to-list > div > ul li .abs-right {
  position: absolute;
  right: 0;
  color: #999;
  margin-top: 8px;
}
.link_ok {
  color: #19be6b;
}
.link_ok i {
  color: #19be6b;
  font-size: 16px;
  margin-right: 3px;
}
/*考试中心*/
.block-item .content-wrapper {
  margin: 0;
}
.block-item .content-wrapper .content-item {
  padding-left: 0
}
.block-item .content-item .tip {
  margin-right: 50px;
  color: #999;
}
.ivu-radio-group-button .ivu-radio-wrapper-checked {
  background: #2d8cf0;
  color: #fff;
}

/*得分展示*/
.box-score { border: 2px dashed #ccc; margin: 30px 0 30px -30px; padding: 15px; }
.box-score .total-sore { font-size: 16px; }
.box-score .total-sore b { font-size: 24px;color: red;margin: 0 10px; }
.box-score .sub-score { margin-top: 20px; }
.box-score .sub-score .subTopic { margin-bottom: 8px; display: inline-block; width: 50%; }
.box-score .sub-score .subTopic b {  font-size: 16px; margin: 0 5px; }

/*公告详情*/
.notice-detail {  }
.notice-detail .notice-content {  }
.notice-detail .notice-content p { text-indent: 2em;  margin-top: 20px ; }
.notice-detail .notice-footer { margin: 30px 0 20px; text-align: right; color: #999; line-height: 28px; }

.topFix.ivu-spin-fix .ivu-spin-main { top: 300px; }

.form-tips { color: #999; margin-left: 10px; font-size: 12px; }

/* 组卷功能，表格 */
.item-type .title-type {
  position: relative;
  background: #dedede;
  padding: 6px 10px;
  font-size: 14px;
  margin-left: -15px;
  margin-right: -15px;
}
.edit-table {
  width:100%;
  border-collapse:collapse;
}
.edit-table td, .edit-table th {
  border: 1px solid #dfdfdf;
  box-sizing: border-box;
  text-align: left;
  text-overflow: ellipsis;
  vertical-align: middle;
  border-bottom: 1px solid #dfdfdf;
  
  padding: 6px 8px;
  font-size: 12px;
}
.edit-table tr th {
  /*border: 1px solid #ccc;*/
  /*padding: 8px 0;*/
  white-space: nowrap;
  overflow: hidden;
  background-color: #f0f0f0;
}
.edit-table tr td {

}
.edit-table tbody tr:nth-child(2n) td {
    background-color: #f8f8f9;
}
.edit-table.no-stripe tbody tr:nth-child(2n) td {
  background: none;
}
.required {
  color: red;
  font-size: 16px;
  margin-right: 5px;
  vertical-align: sub;
}
.color-red { color: red; }
.option-desc {
  color: #666;
}
.tips {
  color: #999;
  font-size: 12px;
}

/*搜索框、标签列表*/
.list-filter {
  padding:10px 15px;background: #f2f2f2;margin-bottom: 20px
}
.taglist .ivu-tag {
  padding: 2px 8px;
  height: auto;
  font-size: 12px;
  cursor: pointer;
}
.taglist .ivu-tag-text {
  font-size: 14px;
  color: #2b85e4;
}




/*复杂考试题HTML内的样式控制*/
#noteHtmlA TD, #noteHtmlB TD { FONT-SIZE: 13px;}
#noteHtmlA p, #noteHtmlB p { margin: 10px 0; }
span table,span #noteHtmlA table,span #noteHtmlB table{width:664px;border-width:1px 1px 0px 0px;border:1px solid #333;border-collapse:collapse;}
span table td,span #noteHtmlA table td,span #noteHtmlB table td{border-width:0px 0px 1px 1px; height:20px; line-height:20px;border:1px solid #333;width:auto;border-collapse:collapse}
span table th,span #noteHtmlA table th,span #noteHtmlB table th{border-width:0px 0px 1px 1px; height:30px; line-height:30px;border:1px solid #333; font-size:15px; font-weight:bolder; text-align:left;padding-left:5px}
span .v{color:#FF0000}

span .noborder,span #noteHtmlB .noborder,span #noteHtmlA .noborder{border:0}
span .noborder td,span #noteHtmlB .noborder td,span #noteHtmlA .noborder td{border:0;width:auto}
span .topbnone,span #noteHtmlB .topbnone,span #noteHtmlA .topbnone{border-top:1px solid #fff;}
span .noborder table th,span #noteHtmlB .noborder table th,span #noteHtmlA table th{ line-height:120%;}
span .noborder,span #noteHtmlB .noborder,span #noteHtmlA .noborder{border:0;}
span table input[type=text]{border:0px;border-bottom:1px solid #0000FF;width:70px;background: #c7edcc;}
span table td input[type=text]{width:90%;}
span input[type=text]{border:1px solid #B9B9B9;}
span U{ color:#FF0000}
/*///////////////////////*/

#da table,#noteHtmlA table,#noteHtmlB table,.tw table{width:658px;border-width:1px 1px 0px 0px;border:1px solid #333;border-collapse:collapse;}
#da table td,#noteHtmlA table td,#noteHtmlB table td,.tw table td{border-width:0px 0px 1px 1px; height:20px; line-height:20px;border:1px solid #333;width:auto;border-collapse:collapse}
#da table th,#noteHtmlA table th,#noteHtmlB table th,.tw table th{border-width:0px 0px 1px 1px; height:30px; line-height:30px;border:1px solid #333; font-size:15px; font-weight:bolder; text-align:left;padding-left:5px}
.v{color:#FF0000}

#da .noborder,#noteHtmlB .noborder,#noteHtmlA .noborder{border:0}
#da .noborder td,#noteHtmlB .noborder td,#noteHtmlA .noborder td{border:0;width:auto}
#da .topbnone,#noteHtmlB .topbnone,#noteHtmlA .topbnone{border-top:1px solid #fff;}
#da .noborder table th,#noteHtmlB .noborder table th,#noteHtmlA table th{ line-height:120%;}
#da .noborder,#noteHtmlB .noborder,#noteHtmlA .noborder{border:0;}
#noteHtmlA input[type=text],#noteHtmlA input[type=text]{border:0px;border-bottom:1px solid #0000FF;width:70px;background: #c7edcc;}

#da input[type=text]{border:1px solid #B9B9B9;}
#da U{ color:#FF0000}
#da table input[type=text]{border:0px;border-bottom:1px solid #0000FF;}
.STYLE1 {color: #FF0000}
.byl{ background:#FBF3BD}
.bhs{ background:#CCCCCC}
.bhhs{ background:#FFC4C4}
.bxblue{ background:#A7ABFC}
.bgrrd{ background:#BFF2A4}


@media print {
  #app {
    padding: 0;
  }
  .header {
    display: none;
  }
  .page-content {
    padding:0;
  }
  .left-content {
    margin-right: 0;
    border:none;
  }
  .right-nav.right-fixed {
    display: none;
    /*position:absolute;
    right:0;
    top:0;
    bottom:auto;*/
  }
}